Transfer between accounts
curl --request POST \
--url https://api.dash.fi/v1/public/accounts/{account-id}/transfers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "100.00",
"toAccountId": 1235
}
'import requests
url = "https://api.dash.fi/v1/public/accounts/{account-id}/transfers"
payload = {
"amount": "100.00",
"toAccountId": 1235
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '100.00', toAccountId: 1235})
};
fetch('https://api.dash.fi/v1/public/accounts/{account-id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2025-01-01T00:00:00Z",
"fromAccountId": 1234,
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"toAccountId": 1235
}{
"code": "<string>",
"message": "<string>"
}{
"code": "unauthorized",
"message": "authorization header not provided"
}{
"code": "forbidden",
"message": "access to this resource is not provided"
}{
"code": "not-found",
"message": "resource was not found"
}{
"code": "internal-server-error",
"message": "<string>"
}Transfer between accounts
Moves funds from the account in the path to another of the customer’s accounts. This is how a newly created account gets funded.
POST
/
accounts
/
{account-id}
/
transfers
Transfer between accounts
Authorizations
Type "Bearer" followed by a space and your API token. Obtain your key from the Dash.fi dashboard. Example: "Bearer YOUR_API_KEY"
Headers
Retry-safe request key: repeating a request with the same key returns the original result instead of transferring again
Path Parameters
Source account
Body
application/json
Transfer request
Response
Created transfer
Transfer creation time.
Example:
"2025-01-01T00:00:00Z"
Source account.
Example:
1234
Transfer ID.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Transfer status.
Example:
"completed"
Destination account.
Example:
1235